﻿using System.ComponentModel.DataAnnotations;

namespace Single_SignOn.Areas.Handheld.Models
{
    public class Login
    {

        public Login()
        {
            Username = "";
            Password = "";
        }

        [Required(ErrorMessage = "", ErrorMessageResourceName = "UsernameRequired", ErrorMessageResourceType = typeof(Resources.Resource))]
        [Display(Name = "Username", ResourceType = typeof(Resources.Resource))]
        [StringLength(20)]
        public string Username { get; set; }


        [Required(ErrorMessage = "", ErrorMessageResourceName = "PasswordRequired", ErrorMessageResourceType = typeof(Resources.Resource))]
        [Display(Name = "Password", ResourceType = typeof(Resources.Resource))]
        [DataType(DataType.Password)]
        [StringLength(100
            , MinimumLength = 1)]
        public string Password { get; set; }

    }
}