﻿#region " | Copyright 2013 | "
/*
 * Copyright 2013
 * Author : Siriwat Suananpornpanit
 * Attibutes
 */
#endregion

using System;
using System.Reflection;
using System.Web.Mvc;

namespace Single_SignOn.Attributes
{
    [AttributeUsage(AttributeTargets.Method, AllowMultiple = false, Inherited = true)]
    public class MultiButtonAttribute : ActionNameSelectorAttribute
    {
        public string MatchFormKey { get; set; }
        public string MatchFormValue { get; set; }

        public override bool IsValidName(ControllerContext controllerContext, string actionName, MethodInfo methodInfo)
        {
            return controllerContext.HttpContext.Request[MatchFormKey] != null &&
                controllerContext.HttpContext.Request[MatchFormKey] == MatchFormValue;
        }
    }
}